﻿using System;
using System.IO;
using System.Drawing.Printing;

namespace NameCard {
    [Serializable]
    class SheetLayout {
        [NonSerialized]
        public const string FileFilter = "用紙レイアウトデータ (*.sly)|*.sly|すべてのファイル (*.*)|*.*";
        [NonSerialized]
        private FileInfo _file;

        private PaperSize _size;
        private float _mgnleft = 14f, _mgntop = 11f;
        private float _intH = 91f, _intV = 55f;
        private int _m = 2, _n = 5;

        public SheetLayout() {
            _size = new PaperSize();
            _size.RawKind = 9;         //A4
        }
        public float IntervalHmm {
            get { return _intH; }
            set { _intH = value; }
        }
        public float IntervalVmm {
            get { return _intV; }
            set { _intV = value; }
        }
        public float MarginLeftmm {
            get { return _mgnleft; }
            set { _mgnleft = value; }
        }
        public float MarginTopmm {
            get { return _mgntop; }
            set { _mgntop = value; }
        }
        public int M {
            get { return _m; }
            set { _m = value; }
        }
        public int N {
            get { return _n; }
            set { _n = value; }
        }
        public PaperSize Size {
            get { return _size; }
        }
        public FileInfo File {
            get { return _file; }
            set { _file = value; }
        }
    }
}
